Magick++: Magick::DrawableTextUnderColor Class Reference

Magick++ 7.1.0

Public Member Functions | List of all members
Magick::DrawableTextUnderColor Class Reference

`#include <Drawable.h>`

Inheritance diagram for Magick::DrawableTextUnderColor:
[legend]
Collaboration diagram for Magick::DrawableTextUnderColor:
[legend]

## Public Member Functions
| DrawableTextUnderColor (const Color &color_)
| DrawableTextUnderColor (const DrawableTextUnderColor &original_)
| ~DrawableTextUnderColor (void)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | color (const Color &color_)
Color | color (void) const
Public Member Functions inherited from Magick::DrawableBase
| DrawableBase (void)
virtual | ~DrawableBase (void)

## Detailed Description

Definition at line 2222 of file Drawable.h.

## Constructor & Destructor Documentation

## ◆ DrawableTextUnderColor() [1/2]

Magick::DrawableTextUnderColor::DrawableTextUnderColor | ( | const Color & | color_ | ) |

Definition at line 1698 of file Drawable.cpp.

## ◆ DrawableTextUnderColor() [2/2]

Magick::DrawableTextUnderColor::DrawableTextUnderColor | ( | const DrawableTextUnderColor & | original_ | ) |

Definition at line 1703 of file Drawable.cpp.

## ◆ ~DrawableTextUnderColor()

Magick::DrawableTextUnderColor::~DrawableTextUnderColor | ( | void |  | ) |

Definition at line 1708 of file Drawable.cpp.

## Member Function Documentation

## ◆ color() [1/2]

void Magick::DrawableTextUnderColor::color | ( | const Color & | color_ | ) |
| inline

Definition at line 2237 of file Drawable.h.

## ◆ color() [2/2]

Color Magick::DrawableTextUnderColor::color | ( | void |  | ) | const
| inline

Definition at line 2241 of file Drawable.h.

## ◆ copy()

Magick::DrawableBase * Magick::DrawableTextUnderColor::copy | ( |  | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1720 of file Drawable.cpp.

## ◆ operator()()

void Magick::DrawableTextUnderColor::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const
| virtual

Reimplemented from Magick::DrawableBase.

Definition at line 1712 of file Drawable.cpp.

The documentation for this class was generated from the following files:

- Drawable.h
- Drawable.cpp